Name:    argyllcms
Version: 1.4.0
Release: %mkrel 1
Summary: ICC compatible color management system
Group:     Graphics
License:   GPLv3 and BSD-like
URL:       http://www.argyllcms.com/
Source0:   http://people.freedesktop.org/~hughsient/releases/hargyllcms-%{version}.tar.xz
Patch0:	hargyllcms-1.4.0-link.patch

## udev >= 151 supports ACL on COLOR_MEASUREMENT_DEVICE
Requires:  udev >= 151
BuildRequires: libtiff-devel
BuildRequires: libjpeg-devel
BuildRequires: pkgconfig(libusb-1.0)
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: libxxf86vm-devel
BuildRequires: libxinerama-devel
BuildRequires: libxscrnsaver-devel
BuildRequires: libxrandr-devel

%description
The Argyll color management system supports accurate ICC profile creation for
scanners, CMYK printers, film recorders and calibration and profiling of
displays.

Spectral sample data is supported, allowing a selection of illuminants observer
types, and paper fluorescent whitener additive compensation. Profiles can also
incorporate source specific gamut mappings for perceptual and saturation
intents. Gamut mapping and profile linking uses the CIECAM02 appearance model,
a unique gamut mapping algorithm, and a wide selection of rendering intents. It
also includes code for the fastest portable 8 bit raster color conversion
engine available anywhere, as well as support for fast, fully accurate 16 bit
conversion. Device color gamuts can also be viewed and compared using a VRML
viewer.

%prep
%setup -qn hargyllcms-%{version}
%patch0 -p0
autoreconf -fi

%build
%configure2_5x --enable-static --disable-shared
%make

%check
make check

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete

%files
%doc %{_datadir}/doc/argyll
/lib/udev/rules.d/*.rules
%{_bindir}/*
%{_datadir}/color/argyll


%changelog

* Tue May 08 2012 fwang <fwang> 1.4.0-1.mga2
+ Revision: 234885
- drop all libtool archive
- update file list
- update file list
- update file list
- fix link
- sync with fedora 1.4.0

* Fri Dec 23 2011 fwang <fwang> 1.1.0-5.mga2
+ Revision: 186496
- rebuild for new libtiff

* Wed Dec 07 2011 fwang <fwang> 1.1.0-4.mga2
+ Revision: 178047
- drop .la files

* Sat Oct 01 2011 dmorgan <dmorgan> 1.1.0-3.mga2
+ Revision: 150680
- imported package argyllcms


* Thu Jan 28 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-3mdv2010.1
+ Revision: 497591
- Patch3: remove unneeded part of udev rules, requires udev >= 151 instead

* Wed Jan 27 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-2mdv2010.1
+ Revision: 497375
- Replace patch1 with new version from Roland Mas: argyllcms uses now its own local libusb, since it contains changes for some spectrometers.

* Mon Jan 18 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-1mdv2010.1
+ Revision: 493142
- Release 1.1.0 final
- Patch0 (upstream): fix crash in dispwin

* Thu Jan 14 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-0.rc4.2mdv2010.1
+ Revision: 491514
- Fix udev warning in rules file

* Wed Jan 06 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.0-0.rc4.1mdv2010.1
+ Revision: 486744
- Release 1.1.0 RC4
- Remove patch4, merged upstream
- Regenerate patch0

* Wed Oct 28 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.4-2mdv2010.0
+ Revision: 459667
- Adapt udev rules for ACL and install it by default

* Tue Jun 30 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.4-1mdv2010.0
+ Revision: 390977
- Release 1.0.4
- Regenerate 0 (partially merged)

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.3-3mdv2010.0
+ Revision: 384450
- Update patch0 with debian version which includes icclib update (fixes various CVE correctly)
- Build with system icclib
- Build various internal libraries as shared libraries

* Thu Apr 16 2009 Frederic Crozat <fcrozat@mandriva.com> 1.0.3-2mdv2009.1
+ Revision: 367783
- Update patch0 with addition from Roland Mas
- enable make check
- Patch2 (Fedora): CVE-2009-0583,0584
- Patch3 (Fedora): CVE-2009-0792
- Patch4: fix header and str_fmt errors

* Thu Sep 04 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.3-1mdv2009.0
+ Revision: 280459
- Release 1.0.3
- Regenerate patch1

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.2-1mdv2009.0
+ Revision: 273320
- Release 1.0.2
- Remove patches 2, 3 (merged upstream)

* Thu Jul 31 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.1-1mdv2009.0
+ Revision: 257520
- Release 1.0.1
- Remove patches 0 (fixed differently), 1 (merged upstream)
- Patch0: autotool based build system, from Alastair M. Robinsin
- Patch1: remvoe call to additional internal libusb api, not needed
- Patch2 (Fedora): double free fix
- Patch3: various upstream fixes

* Thu Jul 03 2008 Frederic Crozat <fcrozat@mandriva.com> 1.0.0-1mdv2009.0
+ Revision: 231173
- Fix BuildRequires
- Release 1.0.0
- Update patch0 to link with system libusb
- Patch1: various fixes from upstream (use ARGYLL_INGORE_XRANDR1_1=1 to disable xrandr 1.2 support in argyllcms)

* Wed Jan 16 2008 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta8.1mdv2008.1
+ Revision: 153663
- Release 0.70 beta8
- Remove patches 1, 2, 3, merged upstream

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7.4mdv2008.1
+ Revision: 121764
- Remove source1 and replace with patch3: fix usb unbinding (Graeme Grill)
- Update source2 with latest version from Fedora
- Clean specfile

* Thu Dec 13 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7.3mdv2008.1
+ Revision: 119409
- Sources 2, 3 : add HAL / PK files to set ACL on usb device node (initial work from Nicolas Mailhot)
- Patch1, 2: fix buffer overflows (Daniel Berrange, Fedora), allow build in FORTIFY_SOURCE=1
- move .gam files in datadir, rename icclink to icclink-argyll
- fix doc packaging

* Tue Dec 11 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7.2mdv2008.1
+ Revision: 117271
- Add udev rules for Huey colorimeter to unbind from usbhid module
- Fix package version

* Mon Dec 10 2007 Frederic Crozat <fcrozat@mandriva.com> 0.70-0.1.Beta7mdv2008.1
+ Revision: 117020
- import argyllcms


